#
# spec file for package python-taskflow
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-taskflow
Version:        3.4.0
Release:        2.9
Summary:        Taskflow structured state management library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/taskflow
Source0:        https://files.pythonhosted.org/packages/source/t/taskflow/taskflow-3.4.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PyMySQL
BuildRequires:  python2-SQLAlchemy
BuildRequires:  python2-SQLAlchemy-Utils
BuildRequires:  python2-alembic
BuildRequires:  python2-automaton
BuildRequires:  python2-cachetools
BuildRequires:  python2-eventlet
BuildRequires:  python2-fasteners
BuildRequires:  python2-futurist
BuildRequires:  python2-jsonschema
BuildRequires:  python2-kazoo
BuildRequires:  python2-kombu
BuildRequires:  python2-mock
BuildRequires:  python2-networkx
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-psycopg2
BuildRequires:  python2-pydot
BuildRequires:  python2-pydotplus
BuildRequires:  python2-redis
BuildRequires:  python2-retrying
BuildRequires:  python2-stestr
BuildRequires:  python2-stevedore
BuildRequires:  python2-tenacity
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-zake
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-SQLAlchemy
BuildRequires:  python3-SQLAlchemy-Utils
BuildRequires:  python3-alembic
BuildRequires:  python3-automaton
BuildRequires:  python3-cachetools
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-fasteners
BuildRequires:  python3-futurist
BuildRequires:  python3-jsonschema
BuildRequires:  python3-kazoo
BuildRequires:  python3-kombu
BuildRequires:  python3-mock
BuildRequires:  python3-networkx
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-psycopg2
BuildRequires:  python3-pydot
BuildRequires:  python3-pydotplus
BuildRequires:  python3-redis
BuildRequires:  python3-retrying
BuildRequires:  python3-stestr
BuildRequires:  python3-stevedore
BuildRequires:  python3-tenacity
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-zake
Requires:       python-automaton
Requires:       python-cachetools
Requires:       python-debtcollector
Requires:       python-fasteners
Requires:       python-futurist
Requires:       python-jsonschema
Requires:       python-kazoo
Requires:       python-networkx
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-six
Requires:       python-stevedore
Requires:       python-tenacity
BuildArch:      noarch
%ifpython2
BuildRequires:  python-contextlib2
BuildRequires:  python-enum34
Requires:       python-contextlib2
Requires:       python-enum34
Requires:       python-futures
%endif
%python_subpackages

%description
A library to do [jobs, tasks, flows] in a HA manner using
different backends to be used with OpenStack projects.

%package -n python-taskflow-doc
Summary:        Documentation for Taskflow
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-taskflow-doc
A library to do [jobs, tasks, flows] in a HA manner using
different backends to be used with OpenStack projects.
This package contains the associated documentation.

%prep
%autosetup -p1 -n taskflow-3.4.0
%py_req_cleanup

%if 0%{?rdo}
# TODO(jpena) remove once python-networking subpackaging is fixed
sed -i /networkx.drawing/d taskflow/types/graph.py
%endif

%build
%{python_build}

%install
%{python_install}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%if ! 0%{?rdo}
%check
stestr run
%endif

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/taskflow
%{python_sitelib}/taskflow-*.egg-info

%files -n python-taskflow-doc
%license LICENSE
%doc doc/build/html

%changelog
